Skip to Content
veriom

Get model routing proposal

Suggest a model per tier on the workspace's connected keys, as a policy diff. Nothing is saved: an admin applies the proposal by saving ``model_routing`` as the policy, which checks every route again and needs a recent step-up.

GET
/v1/workspaces/{workspace_id}/model-routing/proposal

Suggest a model per tier on the workspace's connected keys, as a policy diff.

Nothing is saved: an admin applies the proposal by saving model_routing as the policy, which checks every route again and needs a recent step-up.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
changed*Changed

Whether applying the proposal changes any tier.

model_routing*

The workspace's model routing with every proposed change applied: save it as the policy's model_routing to apply the proposal.

policy_version*Policy Version

The policy version the proposal starts from.

registry_version*Registry Version
tiers*array<>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/model-routing/proposal'
Example Response
{  "changed": true,  "model_routing": {    "allow_fallback": false,    "allowed_regions": [      "string"    ],    "approved_providers": [      "string"    ],    "checkpoint_resume_enabled": false,    "circuit_failure_threshold": 3,    "circuit_recovery_seconds": 300,    "luna": {      "capabilities": [        "string"      ],      "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",      "model_id": "string",      "provider_id": "openai",      "reasoning_effort": "minimal",      "region": "global",      "transport": "llmgateway"    },    "luna_fallbacks": [      {        "capabilities": [          "string"        ],        "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",        "model_id": "string",        "provider_id": "openai",        "reasoning_effort": "minimal",        "region": "global",        "transport": "llmgateway"      }    ],    "max_p95_latency_ms": 120000,    "max_route_cost_usd": "25",    "shadow_enabled": false,    "shadow_route": {      "capabilities": [        "string"      ],      "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",      "model_id": "string",      "provider_id": "openai",      "reasoning_effort": "minimal",      "region": "global",      "transport": "llmgateway"    },    "sol": {      "capabilities": [        "string"      ],      "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",      "model_id": "string",      "provider_id": "openai",      "reasoning_effort": "minimal",      "region": "global",      "transport": "llmgateway"    },    "sol_fallbacks": [      {        "capabilities": [          "string"        ],        "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",        "model_id": "string",        "provider_id": "openai",        "reasoning_effort": "minimal",        "region": "global",        "transport": "llmgateway"      }    ],    "strategy": "balanced",    "terra": {      "capabilities": [        "string"      ],      "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",      "model_id": "string",      "provider_id": "openai",      "reasoning_effort": "minimal",      "region": "global",      "transport": "llmgateway"    },    "terra_fallbacks": [      {        "capabilities": [          "string"        ],        "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",        "model_id": "string",        "provider_id": "openai",        "reasoning_effort": "minimal",        "region": "global",        "transport": "llmgateway"      }    ]  },  "policy_version": 0,  "registry_version": "string",  "tiers": [    {      "awaiting_qualification": [        "string"      ],      "canonical_id": "string",      "current": {        "capabilities": [          "string"        ],        "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",        "model_id": "string",        "provider_id": "openai",        "reasoning_effort": "minimal",        "region": "global",        "transport": "llmgateway"      },      "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",      "proposed": {        "capabilities": [          "string"        ],        "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",        "model_id": "string",        "provider_id": "openai",        "reasoning_effort": "minimal",        "region": "global",        "transport": "llmgateway"      },      "provider_kind": "anthropic",      "status": "change",      "tier": "luna"    }  ]}